Bug 108974 - Update of coreutils freezes my PC
Summary: Update of coreutils freezes my PC
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-03 23:03 UTC by antonio montagnani
Modified: 2015-01-04 22:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of command rpm2cpio (7.34 KB, text/plain)
2003-11-04 14:25 UTC, antonio montagnani
no flags Details
Output of printer (900 bytes, text/plain)
2003-11-05 15:43 UTC, antonio montagnani
no flags Details

Description antonio montagnani 2003-11-03 23:03:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.rpm -Fvh coreutils-4.5.3.19.0.2.i386.rpm
2.
3.
  
Actual results:
system freezes

Expected results:
update of coreutils

Additional info:

Same behaviour if I try to update by RHN. System freezes, hard
re-boot, fsck /dev/hda1, but no way of updating coreutils.Rebuilt also
rpm data base, but no use

Comment 1 Tim Waugh 2003-11-04 10:04:43 UTC
What happens when you try this?:

rpm2cpio coreutils-4.5.3-19.0.2.i386.rpm | cpio -t

You should get a list of files in the package.

Comment 2 antonio montagnani 2003-11-04 10:49:16 UTC
I do not have the PC now, I will try in 3 hours time.
an additional information is 
If I run rpm -va coreutils on old coreutils 4.5.3-19 I get :

> S.5....T   /bin/basename
> S.5....T   /bin/cat
> S.5....T   /bin/chgrp
> S.5....T   /bin/chmod
> S.5....T   /bin/chown
> S.5....T   /bin/cp
> S.5....T   /bin/cut
> S.5....T   /bin/date
> S.5....T   /bin/dd
> S.5....T   /bin/df
> S.5....T   /bin/echo
> S.5....T   /bin/env
> S.5....T   /bin/false
> S.5....T   /bin/link
> ..5....T   /bin/ln
> S.5....T   /bin/ls
> S.5....T   /bin/mkdir
> ..5....T   /bin/mknod
> S.5....T   /bin/mv
> ..5....T   /bin/nice
> S.5....T   /bin/pwd
> S.5....T   /bin/rm
> S.5....T   /bin/rmdir
> S.5....T   /bin/sleep
> S.5....T   /bin/sort
> S.5....T   /bin/stty
> S.5....T   /bin/su
> S.5....T   /bin/sync
> S.5....T   /bin/touch
> S.5....T   /bin/true
> S.5....T   /bin/uname
> S.5....T   /bin/unlink
> .......T c /etc/DIR_COLORS
> .......T c /etc/DIR_COLORS.xterm
> .......T c /etc/pam.d/su
> .......T c /etc/profile.d/colorls.csh
> .......T c /etc/profile.d/colorls.sh

I rebuilt RPM database, and afterwards I disinstalled and re-installed
a packega in order to see if RPM package was the problem. 

This is what a I did, I apologize but quite a newbie..

Comment 3 antonio montagnani 2003-11-04 14:25:53 UTC
Created attachment 95704 [details]
Output of command rpm2cpio

Output of command rpm2cpio coreutils-4.5.3-19.0.2.i386.rpm | cpio -t

Comment 4 Tim Waugh 2003-11-04 14:48:15 UTC
That seems fine, so it must be the unpacking onto disk that causes a
problem.  Does 'dmesg' say anything in the last few lines of output
that look like they might be errors?

I would also like to see what happens when you do this, on a text
console as root:

dmesg -n 8
rpm -Fvh coreutils-4.5.3.19.0.2.i386.rpm

(to see what kernel messages are displayed at the point it freezes)

Comment 5 antonio montagnani 2003-11-04 15:13:43 UTC
the output was:

Preparing 100%
1: coreutils    segmentation fault     17%

I had to write by pen as system froze.

For your info my system is fully updated apart from coreutils  :-(



Comment 6 Tim Waugh 2003-11-04 15:20:14 UTC
Had you switched to a text console (with Ctrl-Alt-F1), or was that in
a gnome-terminal window?  It sounds like it might be a kernel oops.

Comment 7 antonio montagnani 2003-11-04 15:23:54 UTC
a gnome-terminal window.

In any case, if I use RHN I cannot choose anything, I see RHN trying
to install and then everything after a while (10 seconds) freezes.

I will carry out also this test.Tnx

Comment 8 antonio montagnani 2003-11-04 15:50:40 UTC
I did in a text console and I got a huge number of messages.

I treid to save with dmesg > rpm.messages -n 8 but system froze and
after re-start and repair file was empty (0 bytes)

Any suggestion???

Tnx

Comment 9 Tim Waugh 2003-11-04 15:55:36 UTC
Serial console or parallel console.  If you have a serial port and
another machine, 'console=ttyS0' (for example).  Or a parallel-port
ASCII-capable printer?  'console=lp0'

Comment 10 Tim Waugh 2003-11-04 15:56:57 UTC
See /usr/src/linux-*/Documentation/serial-console.txt for how to
capture kernel messages.

Comment 11 antonio montagnani 2003-11-04 17:00:35 UTC
I have no /usr/src/linux-*/Documentation/serial-console.txt on my Pc.

where shall I look???

Tnx

Comment 12 Tim Waugh 2003-11-04 17:10:53 UTC
It comes from the kernel-source package.

Comment 13 antonio montagnani 2003-11-04 21:06:48 UTC
Just as a trial I booted my Pc with a different Kernel, but same problem.

I am struggling at getting messages recorded...

Tnx

Comment 14 antonio montagnani 2003-11-05 12:38:23 UTC
I had a look at serial-console.txt
As a newbie, I can understand that I have to recompile my kernel to
add the option of console.
In any case by console=lp0 I would get a printed output, not a file to
be sent on the Internet.

Any other suggestion??

May I install coreutils from rawhide??

Comment 15 Tim Waugh 2003-11-05 14:18:37 UTC
You don't have to recompile the kernel.

If you had printed output, at least you would be able to type it in here.

This is a kernel bug, and we need to see those messages to know what's up.

Comment 16 antonio montagnani 2003-11-05 14:53:50 UTC
O.K.

Please can you help to set up the required option to use printer as
output?? I do not trust on my personal expertise.
I will type output, if I will succeed.

Tnx



Comment 17 Tim Waugh 2003-11-05 15:02:46 UTC
Just boot with 'console=lp0' on the kernel command line.  So if you
use grub press 'e' to edit the boot selection, 'e' again on the kernel
line, and just add: console=lp0

For lilo just use 'linux console=lp0'.

Then type the commands from the previous comment, starting with 'dmesg
-n 8'.

Comment 18 antonio montagnani 2003-11-05 15:43:25 UTC
Created attachment 95730 [details]
Output of printer

I get 17% segmentation fault on screen and printed output as per attached file.


I remember different messages on screen yesterday.

Tnx

Comment 19 Tim Waugh 2003-11-05 16:13:28 UTC
Looks like kernel problems as suspected.  Certainly not a coreutils
issue though.

Comment 20 antonio montagnani 2003-11-07 10:01:27 UTC
How shall I check this kind of problems?? My kernel is a standard kernel
 (latest available for Redhat 9 from RHN).Same problem witha previous
release that is still available on my PC.

Tnx.

Comment 21 Dave Jones 2003-11-18 16:05:34 UTC
Looks like you hit filesystem corruption whilst unpacking the RPM.
Can you do a full fsck of your system, and then try installing that
rpm again?

It would be interesting to see if you have any other interesting ext3
related messages in /var/log/messages too.


Comment 22 Bugzilla owner 2004-09-30 15:41:41 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.